List presence

GET
/v1/teams/{teamId}/presence

List the presence status of all agents/admins in a team.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

teamId*string

The team id

Formatuuid

Query Parameters

pageLimit?integer

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

Formatint32
pageKey?string

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

Response Body

List of agents/admins presence status in the specified team

application/json
  1. response
data?array<>
meta?
Example Request
curl -X GET 'https://dev.dixa.io/v1/teams/{teamId}/presence' \  -H 'Authorization: <API token>'
{
"data": [
{
"userId": "d53dbec1-e79c-4736-b9a1-15f6dce71ed4",
"requestTime": "2021-12-01T12:46:35.935",
"lastSeen": "2021-12-01T12:46:35.935",
"presenceStatus": "Working",
"connectionStatus": "Online",
"activeChannels": [
"Email",
"FacebookMessenger"
]
},
{
"userId": "e8ecd53b-2f6c-4471-a3a0-34d94caff8c8",
"requestTime": "2021-12-01T12:46:35.935",
"lastSeen": "2021-12-01T12:46:35.935",
"presenceStatus": "Working",
"connectionStatus": "Online",
"activeChannels": [
"Email",
"FacebookMessenger"
]
}
]
}